## NAME

r.in.srtm - Imports SRTM HGT files into raster map.

## KEYWORDS

raster, import, SRTM

## SYNOPSIS

r.in.srtm
r.in.srtm --help
r.in.srtm [-1] input=name [output=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-1
  Input is a 1-arcsec tile (default: 3-arcsec)
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of SRTM input tile (file without .hgt.zip extension)
output=name
  Name for output raster map (default: input tile)

## DESCRIPTION

r.in.srtm imports SRTM HGT files into GRASS. SRTM Version 1 and improved Version 2 data sets can be downloaded from NASA at this site:
http://dds.cr.usgs.gov/srtm/

Gap-filled SRTM Version 3 data can be downloaded from USGS at this site:
https://e4ftl01.cr.usgs.gov/MEASURES/SRTMGL3.003/2000.02.11/

## NOTES

SRTM tiles are of 1 degree by 1 degree size. The SRTM filename contains the coordinates which refer to the center of the lower left pixel (e.g., N51E010: lower left cell center at 10E, 51N). To identify a tile name, a grid can be easily visualized by d.grid:

    d.grid size=1

To import TOPEX/SRTM30 PLUS data, use r.in.bin.

## SEE ALSO

r.in.bin, r.in.srtm.region (Addon), r.in.nasadem (Addon)

The Shuttle Radar Topography Mission homepage at NASA's JPL.
The SRTM Web Forum

## REFERENCES

M. Neteler, 2005. SRTM and VMAP0 data in OGR and GRASS. GRASS Newsletter, Vol.3, pp. 2-6, June 2005. ISSN 1614-8746.

## AUTHORS

Markus Neteler
Improved by W. Kyngesburye and H. Bowman
Update for SRTM V3 by Markus Metz

## SOURCE CODE

Available at: r.in.srtm source code (history)

Accessed: Wednesday Jun 11 21:30:04 2025

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 7.8.8 Reference Manual